HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

/system/user_groups/{User_Group.name}/rbac_rules/{RBAC_Rule_Entry.sequence_number}

Path Params
string
required

Reference Resource: User_Group
Name of the user group. Built-in user groups are as follows: administrators: System-defined group with associated privilege level of 15. Members have access to: All the CLI commands and bash shell. All the REST Methods through REST APIs. operators: System-defined group with associated privilege level of 1. Members have access to: All "show" CLI commands (except those that display sensitive information). All "GET" requests through REST APIs. auditors: System-defined group with associated privilege level of 19. Members have access to: All "show" CLI commands to display and copy security logs. All "GET" requests for security logs through REST APIs. Only users belonging to the above three default groups will be allowed access to REST APIs.

string
required

Reference Resource: RBAC_Rule_Entry
Role Based Access Control rules applicable to a user group. When local authorization is added to AAA authorization list, these rules will be traversed in an ascending order of the sequence number to find a rule that matches the user operation on the switch. The matching rule determines whether the user operation is allowed or denied. If no rule matches, user operation will be denied.

Body Params
string
enum

'permit': User operation will be allowed. 'deny': User operation will be denied. RBAC rule will only be activated when an associated action is provided. If action is not provided, the RBAC rule will be ignored as only comment is provided.

Allowed:
cli
object

If command is not provided, the RBAC rule will be ignored during the authorization of the CLI commands.

string
length ≤ 256

Comment associated with the RBAC rule. If not set, there is no comment associated to the RBAC rule and only action is set.

integer
required

Reference Resource: RBAC_Rule_Entry
Role Based Access Control rules applicable to a user group. When local authorization is added to AAA authorization list, these rules will be traversed in an ascending order of the sequence number to find a rule that matches the user operation on the switch. The matching rule determines whether the user operation is allowed or denied. If no rule matches, user operation will be denied.

Responses
200

OK

204

No Content

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

415

Unsupported Media Type

500

Internal Server Error

501

Not Implemented

503

Service Unavailable

Language
Response
Click Try It! to start a request and see the response here!